.subs-btn{
    display: inline-flex;
    align-items: center;
    gap: 4px;

    height: 30px;
    padding: 3px;

    cursor: pointer;
    color: #fff;
    border: 1px solid #0206CD;
    background: linear-gradient(90deg, #0206CD 0%, #010367 100%);
    box-shadow: 0px 2px 8.9px 0px #0206A44D;
    border-radius: 8px;
}

.subs-btn.big {
    position: relative;
    padding: 1px;
    z-index: 1;
    border-radius: 8px;
    background: 0;
    height: auto;
    width: auto;
    border: 0;
}

.subs-btn.big span {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
    height: 44px;
    width: 200px;
    font-size: 12px;
    border-radius: 8px;
    background: linear-gradient(90deg, #0048FF 0%, #0206A4 100%);
    position: relative;
    z-index: 2;
}

.subs-btn.big::before,
.subs-btn.big::after {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 8px;
    z-index: -1;
    transition: opacity 0.5s ease;
}

.subs-btn.big::before {
    background: linear-gradient(99.85deg, #FFFFFF 36.27%, #0048FF 91.52%);
    opacity: 1;
}

.subs-btn.big::after {
    background: linear-gradient(99.85deg, #0048FF 36.27%, #FFFFFF 91.52%);
    opacity: 0;
}

.subs-btn.big:hover::before {
    opacity: 0;
}

.subs-btn.big:hover::after {
    opacity: 1;
}

.subs-btn.big .subs-btn__title{
    font-size: 16px;
}
.subs-btn.big .subs-btn__label{
    font-size: 13px;
}

.subs-btn__data{
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.subs-btn__title{
    font-weight: 600;
    font-size: 12px;
    line-height: 1;
}

.subs-btn__label{
    font-weight: 300;
    font-size: 8px;
    line-height: 1;
}

.catalog-item .subs-btn{
    position: absolute !important;
    left: 22px;
    top: 160px;
    z-index: 25 !important;
}

.subs-popup{
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999999999;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
}

.subs-popup.visible{
    opacity: 1;
    visibility: visible;
    transition: 0.3s;
}

.subs-popup__content{
    padding: 64px;
    position: relative;
    border-radius: 20px;
    background: #F3F7FF;
    width: 100%;
    max-width: 734px;
    max-height: 90%;
}

.subs-popup__close{
    position: absolute;
    right: 16px;
    top: 16px;

    display: inline-flex;
    align-items: center;
    justify-content: center;

    width: 40px;
    height: 40px;
    cursor: pointer;
    background: #fff;
    border-radius: 50%;
}
.subs-popup__title{
    font-size: 32px;
    font-weight: bold;
    line-height: 120%;
}

.subs-popup__text{
    margin-top: 16px;
    display: grid;
    gap: 12px;
    font-size: 18px;
    line-height: 24px;
}

.subs-popup__text p {
    margin: 0;
}

.subs-popup__list{
    margin-top: 32px;
    display: grid;
    gap: 8px;
    max-height: 384px;
    overflow-y: auto;
    padding-right: 20px;
    margin-right: -20px;
}

.subs-item{
    display: flex;
    align-items: center;
    justify-content: space-between;

    gap: 10px;
    padding: 12px 20px 12px 12px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0px 2px 8.9px 0px #0206A41F;
}

.subs-item__photo{
    width: 64px;
    height: 64px;
    flex-shrink: 0;
}

.subs-item__photo img{
    max-width: 64px;
    max-height: 64px;
}

.subs-item__data{
    display: grid;
    gap: 4px;
}

.subs-item__title{
    font-size: 16px;
    font-weight: bold;
    line-height: 1;
    color: #2B1B35;
    max-width: 210px;
}

.subs-item__text{
    font-size: 12px;
    line-height: 1.1;
    max-width: 210px;
    width: 100%;
    flex-shrink: 0;
}

.subs-item__price{
    display: grid;
    gap: 2px;
    font-weight: 600;
    font-size: 18px;
    line-height: 100%;
    text-transform: uppercase;
    color: #EE005A;
}

.subs-item__price-old{
    position: relative;
    font-weight: 400;
    color: rgba(0, 0, 0, 0.4);
}

.subs-item__price-old::before{
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 8px;
    width: 100%;
    height: 2px;
    transform: rotate(170deg);
    background: #EE005A;
}

.subs-item__btn{
    display: inline-flex;
    justify-content: center;
    flex-direction: column;
    width: 132px;
    height: 44px;
    gap: 2px;
    background: linear-gradient(90deg, #0206CD 0%, #010367 100%);
    box-shadow: 0px 2px 8.9px 0px #0206A41F;
    border: 0;
    text-align: center;
    border-radius: 8px;
    color: #fff;
    font-weight: 600;
    font-size: 15px;
    cursor: pointer;
}

.subs-item__btn span{
    font-weight: 300;
    font-size: 12px;
}

.about-content .subs-btn{
    position: absolute;
    left: 0;
    top: 30px;
}

.subs-btn.white{
    width: 119px;
    height: 34px;
    background: 0;
    color: #0206A4;
    border: 0;
    box-shadow: none;
}

.subs-btn.white:hover{
    color: #0206A4;
    cursor: pointer;
    opacity: 1 !important;
}

.subs-btn.white .subs-btn__data:hover, .subs-btn.white .subs-btn__title:hover, .subs-btn.white .subs-btn__label:hover{
opacity: 1 !important;
}

.subs-btn.white .subs-btn__title{
    font-size: 14px;
}

.subs-btn.white .subs-btn__label{
    font-size: 10px;
}

@media (max-width: 1200px) {
    .about-content .subs-btn{
        top: 0;
    }
}

@media (max-width: 991px) {
    .about-content .subs-btn{
        left: -14px;
        padding: 0;
    }

    .subs-btn.big::before, .subs-btn.big::after{
        display: none;
    }

    .subs-btn.big span{
        width: 142px;
        height: 42px;
    }
    .subs-btn.big .subs-btn__title{
        font-size: 14px;
    }
    .subs-btn.big .subs-btn__label{
        font-size: 11px;
    }
}

@media (max-width: 767px) {
    .catalog-item .subs-btn{
        top: 128px;
    }

    .subs-popup{
        padding: 0 4px;
    }

    .subs-popup__content{
        padding: 20px 6px 32px;
        max-width: 380px;
        overflow: hidden;
    }

    .subs-popup__title, .subs-popup__text{
        padding-left: 14px;
        padding-right: 14px;
    }

    .subs-popup__text{
        margin-top: 8px;
    }

    .subs-popup__list{
        margin-top: 24px;
    }

    .subs-item{
        gap: 8px;
        padding: 8px 5px;
    }

    .subs-item__photo{
        width: 60px;
        height: 60px;
    }
    .subs-item__title{
        font-size: 14px;
    }
    .subs-item__data{
        max-width: 85px;
    }
    .subs-item__text{
        font-size: 9px;
    }
    .subs-item__price{
        font-size: 14px;
    }

    .subs-item__price-old{
        font-size: 12px;
    }
    .subs-item__btn{
        width: 106px;
        height: 44px;
        font-size: 15px;
    }

    .subs-item__btn span{
        font-size: 12px;
    }
    .subs-popup__list{
        max-height: 340px;
    }
}

@media (max-width: 559px) {
    .catalog-item .subs-btn{
        top: 140px;
        left: 0;
    }

    .about-content .subs-btn{
        top: 15px;
        left: -20px;
    }
}

@media (width: 1024px) {
  .subs-btn__catalog {
    top: 120px !important;
  }
}

@media (min-width: 1360px) {
  .subs-btn__catalog {
    top: 220px !important;
  }
}
